Module java.base
Package java.io

## Class UTFDataFormatException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - java.io.UTFDataFormatException

- All Implemented Interfaces:
    `Serializable`

      public class UTFDataFormatException
      extends IOException

  Signals that a malformed string in modified UTF-8 format has been read in a data input stream or by any class that implements the data input interface. See the `DataInput` class description for the format in which modified UTF-8 strings are read and written.
  Since:
    1.0
  See Also:
    `DataInput`, `DataInputStream.readUTF(java.io.DataInput)`, `IOException`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `UTFDataFormatException​()` | Constructs a `UTFDataFormatException` with `null` as its error detail message.
    `UTFDataFormatException​(String s)` | Constructs a `UTFDataFormatException` with the specified detail message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

- - ### Constructor Detail

    - #### UTFDataFormatException

          public UTFDataFormatException​()

      Constructs a `UTFDataFormatException` with `null` as its error detail message.

    - #### UTFDataFormatException

          public UTFDataFormatException​(String s)

      Constructs a `UTFDataFormatException` with the specified detail message. The string `s` can be retrieved later by the ``Throwable.getMessage()`` method of class `java.lang.Throwable`.
      Parameters:
        `s` - the detail message.